%define name	wipe 
%define version 2.2.0
%define release 1mdk

Summary: Secure file deletion utility 
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://wipe.sourceforge.net/
Source0: http://unc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1: http://unc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0: %{name}-rootbuildfix.patch.bz2
Patch1: %{name}-2.1.0-errno-fix.patch.bz2
License: GPL
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
PreReq: %{_sbindir}/update-alternatives

%description
Wipe is a tool that effectively degauses the surface of a hard
disk, making it virtually impossible to retrieve the data that was
stored on it. This tool is designed to make sure secure data that is
erased from a hard drive is unrecoverable.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure 
%make

%install
%makeinstall
mv $RPM_BUILD_ROOT%{_bindir}/wipe $RPM_BUILD_ROOT%{_bindir}/wipe.wipe
mv $RPM_BUILD_ROOT%{_mandir}/man1/wipe.1 $RPM_BUILD_ROOT%{_mandir}/man1/wipe.wipe.1

# remove package installed docs
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/update-alternatives --install %{_bindir}/wipe wipe %{_bindir}/wipe.wipe 10 --slave %{_mandir}/man1/wipe.1.bz2 wipe.1.bz2 %{_mandir}/man1/wipe.wipe.1.bz2

%postun
%{_sbindir}/update-alternatives --remove wipe %{_bindir}/wipe.wipe

%files
%defattr(-,root,root)
%doc LICENSE copyright README CHANGES TODO INSTALL TESTING
%{_mandir}/man1/wipe.wipe.1*
%{_bindir}/wipe.wipe

%changelog
* Mon Jan 12 2004 Ben Reser <ben@reser.org> 2.2.0-1mdk
- 2.2.0
- Redo p0

* Mon Jul 28 2003 Ben Reser <ben@reser.org> 2.1.0-2mdk
- Fix conflicts with lam-runtime package via update-alternatives

* Mon Feb 17 2003 Ben Reser <ben@reser.org> 2.1.0-1mdk
- First Mandrake package. 

# end of file
